# class Object | Object class encapsulating an internal value. More...
Full name | `KJS::Object`
Definition | `#include <object.h>`
Inherits | KJS::KJSO [public ]
Inherited by | Global
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Object (Imp *d)
- Object (Class c = UndefClass)
- Object (Class c, const KJSO& v)
- Object (Class c, const KJSO& v, const Object& p)
- virtual ~Object ()
- void setClass (Class c)
- Class getClass () const
- void setInternalValue (const KJSO& v)
- KJSO internalValue ()

#### Public Static Methods

- static Object create (Class c)
- static Object create (Class c, const KJSO& val)
- static Object create (Class c, const KJSO& val, const Object &p)
- static Object dynamicCast (const KJSO &obj)

## Detailed Description

Object (Imp *d) | ### Object

Object (Class c = UndefClass) | ### Object

Object (Class c, const KJSO& v) | ### Object

Object (Class c, const KJSO& v, const Object& p) | ### Object

~Object () | ### ~Object

[virtual]

void setClass (Class c) | ### setClass

Class getClass () | ### getClass

[const]

void setInternalValue (const KJSO& v) | ### setInternalValue

KJSO internalValue () | ### internalValue

Object create (Class c) | ### create

[static]

Object create (Class c, const KJSO& val) | ### create

[static]

Object create (Class c, const KJSO& val, const Object &p) | ### create

[static]

Object dynamicCast (const KJSO &obj) | ### dynamicCast

[static]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.